View Issue Details

IDProjectCategoryLast Update
0019398AI War 2[All Projects] Crash/ExceptionFeb 8, 2018 10:38 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.705 
Fixed in Version0.706 
Summary0019398: Tutorial crashes instantly
DescriptionWhen you click on the Tutorial button it immediately crashes:
2/4/2018 4:57:26 PM World Created, Launching Server
2/4/2018 4:57:26 PM
Argument is out of range.
Parameter name: index
===PSUEDO INFO===
Method DoSingleBudgetLoopIteration
Line 10
===STACK FRAMES (with file info)===
FILE METHOD IL_OFFSET NATIVE_OFFSET LINE_NUMBER COLUMN_NUMBER
/Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Collections.Generic/List.cs get_Item 36 131 635 0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs Helper_AssignHumanHomeworld 8 41 1046 0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs CreateGalaxies 461 1139 970 0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs WorkThreadOnly_GenerateNewGame 541 1501 62 0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs WorkThreadOnly_StartNewGame 13 68 804 0
===RAW STACK TRACE===
  at System.Collections.Generic.List`1[Arcen.AIW2.Core.Planet].get_Item (Int32 index) [0x00024] in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Collections.Generic/List.cs:635
  at Arcen.AIW2.Core.World_AIW2.Helper_AssignHumanHomeworld (Arcen.AIW2.Core.Galaxy galaxy, Int32 planetIndex) [0x00008] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:1046
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x001cd] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:970
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804
TagsNo tags attached.

Activities

keith.lamothe

Feb 8, 2018 10:38 am

administrator   ~0046928

Fixed in 0.706, thanks :)

Issue History

Date Modified Username Field Change
Feb 4, 2018 11:18 am BadgerBadger New Issue
Feb 4, 2018 11:18 am BadgerBadger Status new => assigned
Feb 4, 2018 11:18 am BadgerBadger Assigned To => keith.lamothe
Feb 8, 2018 10:38 am keith.lamothe Status assigned => resolved
Feb 8, 2018 10:38 am keith.lamothe Resolution open => fixed
Feb 8, 2018 10:38 am keith.lamothe Fixed in Version => 0.706
Feb 8, 2018 10:38 am keith.lamothe Note Added: 0046928